Package Details: php81-pgsql 8.1.2-3

Git Clone URL: https://aur.archlinux.org/php81.git (read-only, click to copy)
Package Base: php81
Description: PostgreSQL modules for php81
Upstream URL: http://www.php.net
Keywords: 8.1 php php8
Licenses: PHP
Submitter: el_aur
Maintainer: el_aur
Last Packager: el_aur
Votes: 5
Popularity: 2.73
First Submitted: 2021-12-01 12:54
Last Updated: 2022-01-27 12:20

Dependencies (54)

Required by (0)

Sources (8)

Pinned Comments

el_aur commented on 2022-01-27 12:09

Read Carefully! Breaking changes in compare with native PHP package

  1. Console version /usr/bin/php81 is installed with php81-cli subpackage, php81 doesn't include it anymore!!!

  2. PEAR and PECL are available as php81-pear and php81-pecl subpackages

  3. All shared modules are respresented as stand-alone subpackages and are not included with php81 package anymore.

  4. No more extensions in php.ini itself!

Separate INI files for each extension are placed in /etc/php81/conf.d

They are loaded in correct order according to priority

Latest Comments

1 2 Next › Last »

el_aur commented on 2022-01-27 12:09

Read Carefully! Breaking changes in compare with native PHP package

  1. Console version /usr/bin/php81 is installed with php81-cli subpackage, php81 doesn't include it anymore!!!

  2. PEAR and PECL are available as php81-pear and php81-pecl subpackages

  3. All shared modules are respresented as stand-alone subpackages and are not included with php81 package anymore.

  4. No more extensions in php.ini itself!

Separate INI files for each extension are placed in /etc/php81/conf.d

They are loaded in correct order according to priority

el_aur commented on 2022-01-21 13:31

updated to 8.1.2

el_aur commented on 2022-01-21 12:23

New version. More modularization, more bugfixes. PEAR/PECL included now. Libedit enabled for all SAPIS including phpdbg

flickthemanual commented on 2022-01-09 09:22

@el_aur: Same for me, it works for me too, Nice job :D, thank you

vladimir commented on 2022-01-07 19:07

@el_aur: Thank you! It works for me.

el_aur commented on 2022-01-05 11:04

@vladimir @flickthemanual updated pkgbuild with smtp-forwarder makedep

vladimir commented on 2022-01-03 14:45

flickthemanual: I agree. And suggest to add make dependency on smtp-forwarder

flickthemanual commented on 2022-01-03 09:16

re, I Found the problem for me,

in the check methods, you must have sendmail package installed before install the php81 package,

here the line: sapi/cli/php -n -r 'echo ini_get("sendmail_path");' | grep -q '/usr/bin/sendmail'

if you haven't got sendmail installed, you have the check error,

for me, when I installed the sendmail package before, it passed with no error,

see ya all :D and have a good year

flickthemanual commented on 2022-01-03 07:16

hi there. got the same here, package clean yay cache clear, fresh source package, etc.

got the ERROR: A failure occurred in check(). message without any precision.

el_aur commented on 2022-01-02 13:21

@Rtransat re-download with fresh source package. kill yay cache etc.